libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader > Class Template Reference documentation

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Types | Private Attributes | List of all members
libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader > Class Template Reference

`#include <IWAField.h>`

Inheritance diagram for libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >:

## Public Types
typedef ValueT | value_type
typedef ValueT & | reference_type
typedef const ValueT & | const_reference_type
typedef container_type::const_iterator | const_iterator
typedef container_type::const_reverse_iterator | const_reverse_iterator
Public Types inherited from libetonyek::IWAField
enum | Tag { TAG_INT32, TAG_INT64, TAG_UINT32, TAG_UINT64, TAG_SINT32, TAG_SINT64, TAG_BOOL, TAG_ENUM, TAG_FIXED64, TAG_SFIXED64, TAG_DOUBLE, TAG_STRING, TAG_BYTES, TAG_MESSAGE, TAG_FIXED32, TAG_SFIXED32, TAG_FLOAT }

## Public Member Functions
virtual IWAField::Tag | tag () const
virtual bool | is () const
const_reference_type | get () const
virtual bool | empty () const
virtual std::size_t | size () const
const_reference_type | operator[] (const std::size_t index) const
const_iterator | begin () const
const_iterator | end () const
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
const std::deque< value_type > | repeated () const
const boost::optional< value_type > | optional () const
virtual void | parse (const RVNGInputStreamPtr_t &input, const unsigned long length, const bool allowEmpty)
Public Member Functions inherited from libetonyek::IWAField
virtual | ~IWAField ()=0
| operator bool () const
bool | operator! () const

## Private Types
typedef boost::container::deque< ValueT > | container_type

## Private Attributes
container_type | m_values

## Member Typedef Documentation

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef container_type::const_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::const_iterator

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef const ValueT& libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::const_reference_type

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef container_type::const_reverse_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::const_reverse_iterator

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef boost::container::deque<ValueT> libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::container_type
| private

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef ValueT& libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::reference_type

template<IWAField::Tag TagV, typename ValueT, typename Reader>

typedef ValueT libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::value_type

## Member Function Documentation

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::begin | ( |  | ) | const
| inline

Referenced by libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseParagraphStyle(), and libetonyek::IWAParser::readGradient().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

virtual bool libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::empty | ( |  | ) | const
| inlinevirtual

Implements libetonyek::IWAField.

Referenced by libetonyek::IWAParser::parseDrawableShape(), and libetonyek::IWAParser::parseGroup().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::end | ( |  | ) | const
| inline

Referenced by libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseParagraphStyle(), and libetonyek::IWAParser::readGradient().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_reference_type libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::get | ( |  | ) | const
| inline

Referenced by libetonyek::get_optional_value_or(), and libetonyek::IWAParser::scanFragment().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

virtual bool libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::is | ( |  | ) | const
| inlinevirtual

Implements libetonyek::IWAField.

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_reference_type libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::operator[] | ( | const std::size_t | index | ) | const
| inline

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const boost::optional<value_type> libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::optional | ( |  | ) | const
| inline

Referenced by libetonyek::IWAParser::parseCellStyle(), libetonyek::IWAParser::parseCharacterStyle(), libetonyek::IWAParser::parseDrawableShape(), libetonyek::IWAParser::parseGraphicStyle(), libetonyek::IWAParser::parseListStyle(), libetonyek::IWAParser::parseParagraphStyle(), libetonyek::IWAParser::parseShapePlacement(), libetonyek::KEY6Parser::parseSlideStyle(), libetonyek::IWAParser::parseTableStyle(), libetonyek::IWAParser::readPadding(), libetonyek::IWAParser::readPosition(), libetonyek::IWAParser::readRef(), libetonyek::IWAParser::readSize(), and libetonyek::IWAParser::scanFragment().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

virtual void libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::parse | ( | const RVNGInputStreamPtr_t & | input,
|  | const unsigned long | length,
|  | const bool | allowEmpty
| ) |  |
| inlinevirtual

Implements libetonyek::IWAField.

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_reverse_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::rbegin | ( |  | ) | const
| inline

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const_reverse_iterator libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::rend | ( |  | ) | const
| inline

template<IWAField::Tag TagV, typename ValueT, typename Reader>

const std::deque<value_type> libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::repeated | ( |  | ) | const
| inline

Referenced by libetonyek::IWAParser::parseObjectIndex(), libetonyek::IWAParser::readRefs(), and libetonyek::IWAParser::readStroke().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

virtual std::size_t libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::size | ( |  | ) | const
| inlinevirtual

Implements libetonyek::IWAField.

Referenced by libetonyek::IWAParser::parseListStyle().

template<IWAField::Tag TagV, typename ValueT, typename Reader>

virtual IWAField::Tag libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::tag | ( |  | ) | const
| inlinevirtual

Implements libetonyek::IWAField.

## Member Data Documentation

template<IWAField::Tag TagV, typename ValueT, typename Reader>

container_type libetonyek::detail::IWAFieldImpl< TagV, ValueT, Reader >::m_values
| private

The documentation for this class was generated from the following file:

- IWAField.h